summaryrefslogtreecommitdiffstats
path: root/test/TEST-46-HOMED/test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 20:49:52 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 20:49:52 +0000
commit55944e5e40b1be2afc4855d8d2baf4b73d1876b5 (patch)
tree33f869f55a1b149e9b7c2b7e201867ca5dd52992 /test/TEST-46-HOMED/test.sh
parentInitial commit. (diff)
downloadsystemd-55944e5e40b1be2afc4855d8d2baf4b73d1876b5.tar.xz
systemd-55944e5e40b1be2afc4855d8d2baf4b73d1876b5.zip
Adding upstream version 255.4.upstream/255.4
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/TEST-46-HOMED/test.sh')
-rwxr-xr-xtest/TEST-46-HOMED/test.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/test/TEST-46-HOMED/test.sh b/test/TEST-46-HOMED/test.sh
new file mode 100755
index 0000000..3bf3891
--- /dev/null
+++ b/test/TEST-46-HOMED/test.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -e
+
+TEST_DESCRIPTION="testing homed"
+
+# Skip the qemu version of the test, unless we have btrfs
+(modprobe -nv btrfs && command -v mkfs.btrfs >/dev/null) || TEST_NO_QEMU=1
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+get_bool "${NO_BUILD:-}" && HOMECTL_BIN="homectl" || HOMECTL_BIN="${BUILD_DIR:?}/homectl"
+test_require_bin "$HOMECTL_BIN"
+
+# Need loop devices for mounting images
+test_append_files() {
+ if ! get_bool "$TEST_NO_QEMU" ; then
+ instmods loop =block
+ install_dmevent
+ install_btrfs
+ generate_module_dependencies
+ fi
+}
+
+do_test "$@"